Unity 5 or Unity 4.6.3

I have just started learning unity and unity 5 sounds and feels too new and unstable and it gives warnings when i download assets and sample projects from the asset store that somethings inside the project might not upgrade to unity 5 properly.,
which is the current stable and long term support version of unity? Will i be better off with 5 or 4.6.3 which is the previous version?

Infact the samples projects survival shooter, space shooter didn’t run for exactly this reason, giving so many compiler errors i have no idea what to do about.

5 is the future. If you are still following tutorials in 4 then just finish them off there. Begin all new projects in 5.